aboutsummaryrefslogtreecommitdiff
path: root/test-suite/tools
diff options
context:
space:
mode:
authorJason Gross2018-09-01 20:05:07 -0400
committerJason Gross2018-10-02 14:48:10 -0400
commit425475e4605691642b09b625dd13e7e3506299b6 (patch)
tree5044834ad1cf09a85ee2e652ffb8f00e8b63ca04 /test-suite/tools
parent3208a68e2c1b5f29fe33b54a66a2c361d3bfc531 (diff)
Move the compat-update-process to right after branching
Also test that the compat updating script hasn't become outdated on the CI.
Diffstat (limited to 'test-suite/tools')
-rwxr-xr-xtest-suite/tools/update-compat/run.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test-suite/tools/update-compat/run.sh b/test-suite/tools/update-compat/run.sh
new file mode 100755
index 0000000000..02a2348450
--- /dev/null
+++ b/test-suite/tools/update-compat/run.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+# allow running this script from any directory by basing things on where the script lives
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
+
+# we assume that the script lives in test-suite/tools/update-compat/,
+# and that update-compat.py lives in dev/tools/
+cd "${SCRIPT_DIR}/../../.."
+dev/tools/update-compat.py --assert-unchanged --cur-version=8.9 || exit $?